Zum Hauptinhalt springen

Brand Voices

Basis-URL: https://app.neuroflash.com/api/brand-voice-service

Erstellen, verwalten und wenden Sie Markenstimmen für konsistente Inhaltsgenerierung an.

Neue Markensprache erstellen

POST/v1/workspaces/{workspaceId}/brand-voices

Neue Markensprache für den angegebenen Workspace erstellen.

Pfadparameter

ParameterTypErforderlichBeschreibung
workspaceIdstringJaArbeitsbereich-ID (uuid4)

Anfrage-Body

FeldTypErforderlichBeschreibung
abbreviationRulesstringJa
activebooleanJa
activeVoicebooleanJa
advancedRulesarray<string>Ja
brandobjectJa
addressstringJa
emailstringJa
facebookLinkstringJa
instagramLinkstringJa
linkedinLinkstringJa
namestringJa
phonesarray<string>Ja
valuesarray<string>Ja
websitestringJa
contentExamplesarray<object>Ja
contentstringJa
sourcestringJa
urlstringJa
countrystringJa
creationSourceDocumentIDstringJa
creationSourceTextstringJa
creationSourceTypestringJa
creationSourceURLstringJa
currencyFormatstringJa
dateFormatstringJa
descriptionstringJa
dontsstringJa
emojiUsagestringJa
genderingstringJa
generalToneobjectJa
glossariesarray<object>Ja
extendedstringJa
shortcutstringJa
headlinePunctuationarray<string>Ja
hyphenationRulesarray<string>Ja
industryJargonstringJa
languagestringJa
namestringJa
numberFormatstringJa
personalbooleanJa
perspectivearray<string>Ja
phoneNumberFormatstringJa
thumbnailBase64stringJaBase64-codiertes Bild
timeFormatstringJa
useControversialEmojisbooleanJa
useHeaderPunctuationbooleanJa
useHyphensbooleanJa
vocabularyarray<string>Ja

Antwort

FeldTypBeschreibung
_embeddedobject
brandobject
addressstring
createdAtstring
createdByUserIdstring
emailstring
facebookLinkstring
idstring
instagramLinkstring
legacybooleanWährend dieses Flag wahr ist, kann die Marke noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werden
linkedinLinkstring
namestring
ownerLegacyCustomerIdinteger
phonesarray<string>
updatedAtstring
valuesarray<string>
websitestring
permissionsobject
canDeleteboolean
canDuplicateboolean
canUpdateboolean
canViewboolean
abbreviationRulesstring
activeboolean
activeVoiceboolean
advancedRulesarray<string>
brandobject
addressstring
emailstring
facebookLinkstring
instagramLinkstring
linkedinLinkstring
namestring
phonesarray<string>
valuesarray<string>
websitestring
completenessRatinginteger
contentExamplesarray<object>
contentstring
sourcestring
urlstring
contradictionMessagestring
countrystring
createdAtstring
createdByUserIdstring
creationSourceDocumentIDstring
creationSourceTextstring
creationSourceTypestring
creationSourceURLstring
currencyFormatstring
dateFormatstring
descriptionstring
dontsstring
emojiUsagestring
genderingstring
generalToneobject
glossariesarray<object>
extendedstring
shortcutstring
headlinePunctuationarray<string>
hyphenationRulesarray<string>
idstring
importedFromChatPersonalityIdinteger
industryJargonstring
isContradictoryboolean
languagestring
legacybooleanWährend dieses Flag wahr ist, kann die Markenstimme noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werden
namestring
numberFormatstring
ownerLegacyCustomerIDinteger
personalboolean
perspectivearray<string>
phoneNumberFormatstring
thumbnailBase64stringBase64-codiertes Bild
thumbnailUrlstring
timeFormatstring
updatedAtstring
useControversialEmojisboolean
useHeaderPunctuationboolean
useHyphensboolean
vocabularyarray<string>
workspaceIdstring

Beispiel

curl -X POST "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voices" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"abbreviationRules": "string",
"active": false,
"activeVoice": false,
"advancedRules": [],
"brand": {},
"contentExamples": [],
"country": "string",
"creationSourceDocumentID": "string",
"creationSourceText": "string",
"creationSourceType": "string",
"creationSourceURL": "string",
"currencyFormat": "string",
"dateFormat": "string",
"description": "string",
"donts": "string",
"emojiUsage": "string",
"gendering": "string",
"generalTone": {},
"glossaries": [],
"headlinePunctuation": [],
"hyphenationRules": [],
"industryJargon": "string",
"language": "string",
"name": "string",
"numberFormat": "string",
"personal": false,
"perspective": [],
"phoneNumberFormat": "string",
"thumbnailBase64": "string",
"timeFormat": "string",
"useControversialEmojis": false,
"useHeaderPunctuation": false,
"useHyphens": false,
"vocabulary": []
}'

Antwort:

{
"_embedded": {
"brand": {
"address": "Germany, Berlin, ...",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"instagramLink": "https://instagram.com/test",
"legacy": false,
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"ownerLegacyCustomerId": 32,
"phones": [
"+00000000",
"+11111111"
],
"updatedAt": "2025-01-14T16:20:59Z",
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"permissions": {
"canDelete": false,
"canDuplicate": false,
"canUpdate": false,
"canView": false
}
},
"abbreviationRules": "use_freely",
"active": false,
"activeVoice": false,
"advancedRules": [
"string"
],
"brand": {
"address": "Germany, Berlin, ...",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"instagramLink": "https://instagram.com/test",
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"phones": [
"+00000000",
"+11111111"
],
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"completenessRating": 80,
"contentExamples": [
{
"content": "instagram post content",
"source": "instagram",
"url": "https://instagram.com/test"
}
],
"contradictionMessage": "Some contradiction message",
"country": "us",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"creationSourceDocumentID": "string",
"creationSourceText": "very interesting text that was used to import this brand voice",
"creationSourceType": "manual",
"creationSourceURL": "https://test.com",
"currencyFormat": "number_space_symbol",
"dateFormat": "EN",
"description": "Description of Brand Voice",
"donts": "string",
"emojiUsage": "no_emojis",
"gendering": "gender_neutral",
"generalTone": {},
"glossaries": [
{
"extended": "For your information",
"shortcut": "FYI"
}
],
"headlinePunctuation": [
"title_case"
],
"hyphenationRules": [
"allow_hyphenation_brand_name"
],
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"importedFromChatPersonalityId": 0,
"industryJargon": "no_jargon",
"isContradictory": true,
"language": "en",
"legacy": false,
"name": "My Brand Voice",
"numberFormat": "EN",
"ownerLegacyCustomerID": 123,
"personal": false,
"perspective": [
"first_person_singular"
],
"phoneNumberFormat": "international_e164",
"thumbnailBase64": "string",
"thumbnailUrl": "https://storage.googleapis.com/test/test.png",
"timeFormat": "24h",
"updatedAt": "2025-01-14T16:20:59Z",
"useControversialEmojis": false,
"useHeaderPunctuation": false,
"useHyphens": false,
"vocabulary": [
"ChatFlash",
"image generation"
],
"workspaceId": "27b01216-dc39-4cf4-9681-18443a6ea78e"
}

Legacy-Markensprache aktualisieren

POST/v1/workspaces/{workspaceId}/brand-voices/{brandVoiceId}/upgrade

Konvertiert eine Legacy-Markensprache in das neue Format unter Verwendung des Quelltexts der Erstellung

Pfadparameter

ParameterTypErforderlichBeschreibung
workspaceIdstringJaArbeitsbereich-ID (uuid4)
brandVoiceIdstringJaMarkensprachen-ID zum Aktualisieren

Anfrage-Body

FeldTypErforderlichBeschreibung
audienceModelIdstringJa

Beispiel

curl -X POST "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voices/{brand_voice_id}/upgrade" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"audienceModelId": "string"
}'

Konvertiert eine Markensprache in das von der Datenwissenschaft benötigte Format

POST/v1/workspaces/{workspaceId}/brand-voices/{brandVoiceId}/ds-prompt

DS-formatierte Markensprache nach ID für den angegebenen Workspace zurückgeben.

Pfadparameter

ParameterTypErforderlichBeschreibung
workspaceIdstringJaArbeitsbereich-ID (uuid4)
brandVoiceIdstringJaMarkensprachen-ID

Antwort

FeldTypBeschreibung
countrystring
idstring
importedFromChatPersonalityIdinteger
languagestring
legacyboolean
namestring
newDefinitionobject
abbreviationsobject
optionsobject
selected_optionstring
additional_rulesobject
brand_informationobject
brand_info_valuesarray<string>
brand_namestring
contact_detailsobject
addressstring
emailstring
phonesstring
social_media_linksarray<string>
websitestring
brand_voiceobject
general_toneobject
language_preferencesobject
activeVsPassiveobject
optionsobject
selected_optionstring
contentLocalestring
headlinePunctuationobject
optionsobject
selected_optionsarray<string>
hyphenationRulesobject
optionsobject
selected_optionsarray<string>
industry_jargonobject
optionsobject
selected_optionstring
perspective_and_pronoun_usageobject
optionsobject
selected_optionsarray<string>
vocabularyarray<string>
voice_descriptionstring
emojiUsageobject
additional_restrictionsobject
no_aggressive_or_controverse_emojisboolean
optionsobject
selected_optionstring
genderingobject
optionsobject
selected_optionstring
glossaryobject
settingsobject
currencyFormatobject
optionsobject
selected_optionstring
dateFormatobject
optionsobject
selected_optionstring
numberFormatobject
optionsobject
selected_optionstring
phoneNumberFormatobject
optionsobject
selected_optionstring
timeFormatobject
optionsobject
selected_optionstring
oldDefinitionstring

Beispiel

curl -X POST "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voices/{brand_voice_id}/ds-prompt" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'

Antwort:

{
"country": "string",
"id": "string",
"importedFromChatPersonalityId": 0,
"language": "string",
"legacy": false,
"name": "string",
"newDefinition": {
"abbreviations": {
"options": {},
"selected_option": "string"
},
"additional_rules": {},
"brand_information": {
"brand_info_values": [
"string"
],
"brand_name": "string",
"contact_details": {
"address": "string",
"email": "string",
"phones": "string",
"social_media_links": [
"..."
]
},
"website": "string"
},
"brand_voice": {
"general_tone": {},
"language_preferences": {
"activeVsPassive": {
"options": "...",
"selected_option": "..."
},
"contentLocale": "string",
"headlinePunctuation": {
"options": "...",
"selected_options": "..."
},
"hyphenationRules": {
"options": "...",
"selected_options": "..."
},
"industry_jargon": {
"options": "...",
"selected_option": "..."
},
"perspective_and_pronoun_usage": {
"options": "...",
"selected_options": "..."
},
"vocabulary": [
"..."
]
},
"voice_description": "string"
},
"emojiUsage": {
"additional_restrictions": {
"no_aggressive_or_controverse_emojis": false
},
"options": {},
"selected_option": "string"
},
"gendering": {
"options": {},
"selected_option": "string"
},
"glossary": {},
"settings": {
"currencyFormat": {
"options": {},
"selected_option": "string"
},
"dateFormat": {
"options": {},
"selected_option": "string"
},
"numberFormat": {
"options": {},
"selected_option": "string"
},
"phoneNumberFormat": {
"options": {},
"selected_option": "string"
},
"timeFormat": {
"options": {},
"selected_option": "string"
}
}
},
"oldDefinition": "string"
}

Markensprache duplizieren

POST/v1/workspaces/{workspaceId}/brand-voices/{brandVoiceId}/duplicate

Neue Markensprache für den angegebenen Workspace duplizieren.

Pfadparameter

ParameterTypErforderlichBeschreibung
workspaceIdstringJaArbeitsbereich-ID (uuid4)
brandVoiceIdstringJaMarkensprachen-ID zum Duplizieren

Anfrage-Body

FeldTypErforderlichBeschreibung
newNamestringNein

Antwort

FeldTypBeschreibung
_embeddedobject
brandobject
addressstring
createdAtstring
createdByUserIdstring
emailstring
facebookLinkstring
idstring
instagramLinkstring
legacybooleanWährend dieses Flag wahr ist, kann die Marke noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werden
linkedinLinkstring
namestring
ownerLegacyCustomerIdinteger
phonesarray<string>
updatedAtstring
valuesarray<string>
websitestring
permissionsobject
canDeleteboolean
canDuplicateboolean
canUpdateboolean
canViewboolean
abbreviationRulesstring
activeboolean
activeVoiceboolean
advancedRulesarray<string>
brandobject
addressstring
emailstring
facebookLinkstring
instagramLinkstring
linkedinLinkstring
namestring
phonesarray<string>
valuesarray<string>
websitestring
completenessRatinginteger
contentExamplesarray<object>
contentstring
sourcestring
urlstring
contradictionMessagestring
countrystring
createdAtstring
createdByUserIdstring
creationSourceDocumentIDstring
creationSourceTextstring
creationSourceTypestring
creationSourceURLstring
currencyFormatstring
dateFormatstring
descriptionstring
dontsstring
emojiUsagestring
genderingstring
generalToneobject
glossariesarray<object>
extendedstring
shortcutstring
headlinePunctuationarray<string>
hyphenationRulesarray<string>
idstring
importedFromChatPersonalityIdinteger
industryJargonstring
isContradictoryboolean
languagestring
legacybooleanWährend dieses Flag wahr ist, kann die Markenstimme noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werden
namestring
numberFormatstring
ownerLegacyCustomerIDinteger
personalboolean
perspectivearray<string>
phoneNumberFormatstring
thumbnailBase64stringBase64-codiertes Bild
thumbnailUrlstring
timeFormatstring
updatedAtstring
useControversialEmojisboolean
useHeaderPunctuationboolean
useHyphensboolean
vocabularyarray<string>
workspaceIdstring

Beispiel

curl -X POST "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voices/{brand_voice_id}/duplicate" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"newName": "string"
}'

Antwort:

{
"_embedded": {
"brand": {
"address": "Germany, Berlin, ...",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"instagramLink": "https://instagram.com/test",
"legacy": false,
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"ownerLegacyCustomerId": 32,
"phones": [
"+00000000",
"+11111111"
],
"updatedAt": "2025-01-14T16:20:59Z",
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"permissions": {
"canDelete": false,
"canDuplicate": false,
"canUpdate": false,
"canView": false
}
},
"abbreviationRules": "use_freely",
"active": false,
"activeVoice": false,
"advancedRules": [
"string"
],
"brand": {
"address": "Germany, Berlin, ...",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"instagramLink": "https://instagram.com/test",
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"phones": [
"+00000000",
"+11111111"
],
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"completenessRating": 80,
"contentExamples": [
{
"content": "instagram post content",
"source": "instagram",
"url": "https://instagram.com/test"
}
],
"contradictionMessage": "Some contradiction message",
"country": "us",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"creationSourceDocumentID": "string",
"creationSourceText": "very interesting text that was used to import this brand voice",
"creationSourceType": "manual",
"creationSourceURL": "https://test.com",
"currencyFormat": "number_space_symbol",
"dateFormat": "EN",
"description": "Description of Brand Voice",
"donts": "string",
"emojiUsage": "no_emojis",
"gendering": "gender_neutral",
"generalTone": {},
"glossaries": [
{
"extended": "For your information",
"shortcut": "FYI"
}
],
"headlinePunctuation": [
"title_case"
],
"hyphenationRules": [
"allow_hyphenation_brand_name"
],
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"importedFromChatPersonalityId": 0,
"industryJargon": "no_jargon",
"isContradictory": true,
"language": "en",
"legacy": false,
"name": "My Brand Voice",
"numberFormat": "EN",
"ownerLegacyCustomerID": 123,
"personal": false,
"perspective": [
"first_person_singular"
],
"phoneNumberFormat": "international_e164",
"thumbnailBase64": "string",
"thumbnailUrl": "https://storage.googleapis.com/test/test.png",
"timeFormat": "24h",
"updatedAt": "2025-01-14T16:20:59Z",
"useControversialEmojis": false,
"useHeaderPunctuation": false,
"useHyphens": false,
"vocabulary": [
"ChatFlash",
"image generation"
],
"workspaceId": "27b01216-dc39-4cf4-9681-18443a6ea78e"
}

Berechnet Markensprachen-Widerspruch

POST/v1/workspaces/{workspaceId}/brand-voices/{brandVoiceId}/calculate-contradiction

Berechnet Markensprachen-Widerspruch und speichert das Ergebnis.

Pfadparameter

ParameterTypErforderlichBeschreibung
workspaceIdstringJaArbeitsbereich-ID (uuid4)
brandVoiceIdstringJaMarkensprachen-ID

Anfrage-Body

FeldTypErforderlichBeschreibung
audienceModelIdstringJa

Antwort

FeldTypBeschreibung
_embeddedobject
brandobject
addressstring
createdAtstring
createdByUserIdstring
emailstring
facebookLinkstring
idstring
instagramLinkstring
legacybooleanWährend dieses Flag wahr ist, kann die Marke noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werden
linkedinLinkstring
namestring
ownerLegacyCustomerIdinteger
phonesarray<string>
updatedAtstring
valuesarray<string>
websitestring
permissionsobject
canDeleteboolean
canDuplicateboolean
canUpdateboolean
canViewboolean
abbreviationRulesstring
activeboolean
activeVoiceboolean
advancedRulesarray<string>
brandobject
addressstring
emailstring
facebookLinkstring
instagramLinkstring
linkedinLinkstring
namestring
phonesarray<string>
valuesarray<string>
websitestring
completenessRatinginteger
contentExamplesarray<object>
contentstring
sourcestring
urlstring
contradictionMessagestring
countrystring
createdAtstring
createdByUserIdstring
creationSourceDocumentIDstring
creationSourceTextstring
creationSourceTypestring
creationSourceURLstring
currencyFormatstring
dateFormatstring
descriptionstring
dontsstring
emojiUsagestring
genderingstring
generalToneobject
glossariesarray<object>
extendedstring
shortcutstring
headlinePunctuationarray<string>
hyphenationRulesarray<string>
idstring
importedFromChatPersonalityIdinteger
industryJargonstring
isContradictoryboolean
languagestring
legacybooleanWährend dieses Flag wahr ist, kann die Markenstimme noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werden
namestring
numberFormatstring
ownerLegacyCustomerIDinteger
personalboolean
perspectivearray<string>
phoneNumberFormatstring
thumbnailBase64stringBase64-codiertes Bild
thumbnailUrlstring
timeFormatstring
updatedAtstring
useControversialEmojisboolean
useHeaderPunctuationboolean
useHyphensboolean
vocabularyarray<string>
workspaceIdstring

Beispiel

curl -X POST "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voices/{brand_voice_id}/calculate-contradiction" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"audienceModelId": "string"
}'

Antwort:

{
"_embedded": {
"brand": {
"address": "Germany, Berlin, ...",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"instagramLink": "https://instagram.com/test",
"legacy": false,
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"ownerLegacyCustomerId": 32,
"phones": [
"+00000000",
"+11111111"
],
"updatedAt": "2025-01-14T16:20:59Z",
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"permissions": {
"canDelete": false,
"canDuplicate": false,
"canUpdate": false,
"canView": false
}
},
"abbreviationRules": "use_freely",
"active": false,
"activeVoice": false,
"advancedRules": [
"string"
],
"brand": {
"address": "Germany, Berlin, ...",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"instagramLink": "https://instagram.com/test",
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"phones": [
"+00000000",
"+11111111"
],
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"completenessRating": 80,
"contentExamples": [
{
"content": "instagram post content",
"source": "instagram",
"url": "https://instagram.com/test"
}
],
"contradictionMessage": "Some contradiction message",
"country": "us",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"creationSourceDocumentID": "string",
"creationSourceText": "very interesting text that was used to import this brand voice",
"creationSourceType": "manual",
"creationSourceURL": "https://test.com",
"currencyFormat": "number_space_symbol",
"dateFormat": "EN",
"description": "Description of Brand Voice",
"donts": "string",
"emojiUsage": "no_emojis",
"gendering": "gender_neutral",
"generalTone": {},
"glossaries": [
{
"extended": "For your information",
"shortcut": "FYI"
}
],
"headlinePunctuation": [
"title_case"
],
"hyphenationRules": [
"allow_hyphenation_brand_name"
],
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"importedFromChatPersonalityId": 0,
"industryJargon": "no_jargon",
"isContradictory": true,
"language": "en",
"legacy": false,
"name": "My Brand Voice",
"numberFormat": "EN",
"ownerLegacyCustomerID": 123,
"personal": false,
"perspective": [
"first_person_singular"
],
"phoneNumberFormat": "international_e164",
"thumbnailBase64": "string",
"thumbnailUrl": "https://storage.googleapis.com/test/test.png",
"timeFormat": "24h",
"updatedAt": "2025-01-14T16:20:59Z",
"useControversialEmojis": false,
"useHeaderPunctuation": false,
"useHyphens": false,
"vocabulary": [
"ChatFlash",
"image generation"
],
"workspaceId": "27b01216-dc39-4cf4-9681-18443a6ea78e"
}

Markenstimmen auflisten

GET/v1/workspaces/{workspaceId}/brand-voices

Rufen Sie eine paginierte Liste von Markenstimmen basierend auf Filterkriterien wie Name, Land, Sprache, Besitzer und Arbeitsbereich ab.

Pfadparameter

ParameterTypErforderlichBeschreibung
workspaceIdstringJaArbeitsbereich-ID (uuid4)

Abfrageparameter

ParameterTypStandardBeschreibung
namestringNach Markenstimmname filtern
searchstringNach Markenstimmname, Markenname und URL filtern
countrystringNach Land filtern (ISO Alpha-2-Code)
languagestringNach Sprache filtern (ISO Alpha-2-Code)
ownerLegacyCustomerIdintegerNach Kunden-ID filtern
importedFromChatPersonalityIdsstringNach importierten Persönlichkeits-IDs filtern
withRelationsbooleantrueZugehörige Daten einschließen
includeDefaultFirstbooleantrueStandard-Markensprache zuerst einschließen
sortstringupdated_atSortieren: leer, neueste, aktualisiert_am, Name
orderstringASCSortieren: ASC, DESC
pageinteger1Seite
sizeinteger10Seitengröße (1-100)

Antwort

FeldTypBeschreibung
dataarray<object>
_embeddedobject
brandobject
addressstring
createdAtstring
createdByUserIdstring
emailstring
facebookLinkstring
idstring
instagramLinkstring
legacybooleanWährend dieses Flag wahr ist, kann die Marke noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werden
linkedinLinkstring
namestring
ownerLegacyCustomerIdinteger
phonesarray<string>
updatedAtstring
valuesarray<string>
websitestring
permissionsobject
canDeleteboolean
canDuplicateboolean
canUpdateboolean
canViewboolean
abbreviationRulesstring
activeboolean
activeVoiceboolean
advancedRulesarray<string>
brandobject
addressstring
emailstring
facebookLinkstring
instagramLinkstring
linkedinLinkstring
namestring
phonesarray<string>
valuesarray<string>
websitestring
completenessRatinginteger
contentExamplesarray<object>
contentstring
sourcestring
urlstring
contradictionMessagestring
countrystring
createdAtstring
createdByUserIdstring
creationSourceDocumentIDstring
creationSourceTextstring
creationSourceTypestring
creationSourceURLstring
currencyFormatstring
dateFormatstring
descriptionstring
dontsstring
emojiUsagestring
genderingstring
generalToneobject
glossariesarray<object>
extendedstring
shortcutstring
headlinePunctuationarray<string>
hyphenationRulesarray<string>
idstring
importedFromChatPersonalityIdinteger
industryJargonstring
isContradictoryboolean
languagestring
legacybooleanWährend dieses Flag wahr ist, kann die Markenstimme noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werden
namestring
numberFormatstring
ownerLegacyCustomerIDinteger
personalboolean
perspectivearray<string>
phoneNumberFormatstring
thumbnailBase64stringBase64-codiertes Bild
thumbnailUrlstring
timeFormatstring
updatedAtstring
useControversialEmojisboolean
useHeaderPunctuationboolean
useHyphensboolean
vocabularyarray<string>
workspaceIdstring
pageobject
currentPageinteger
sizeinteger
totalElementsinteger
totalPagesinteger

Beispiel

curl "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voices" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Antwort:

{
"data": [
{
"_embedded": {
"brand": {
"address": "...",
"createdAt": "...",
"createdByUserId": "...",
"email": "...",
"facebookLink": "...",
"id": "...",
"instagramLink": "...",
"legacy": "...",
"linkedinLink": "...",
"name": "...",
"ownerLegacyCustomerId": "...",
"phones": "...",
"updatedAt": "...",
"values": "...",
"website": "..."
},
"permissions": {
"canDelete": "...",
"canDuplicate": "...",
"canUpdate": "...",
"canView": "..."
}
},
"abbreviationRules": "use_freely",
"active": false,
"activeVoice": false,
"advancedRules": [
"string"
],
"brand": {
"address": "Germany, Berlin, ...",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"instagramLink": "https://instagram.com/test",
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"phones": [
"+00000000",
"+11111111"
],
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"completenessRating": 80,
"contentExamples": [
{
"content": "...",
"source": "...",
"url": "..."
}
],
"contradictionMessage": "Some contradiction message",
"country": "us",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"creationSourceDocumentID": "string",
"creationSourceText": "very interesting text that was used to import this brand voice",
"creationSourceType": "manual",
"creationSourceURL": "https://test.com",
"currencyFormat": "number_space_symbol",
"dateFormat": "EN",
"description": "Description of Brand Voice",
"donts": "string",
"emojiUsage": "no_emojis",
"gendering": "gender_neutral",
"generalTone": {},
"glossaries": [
{
"extended": "...",
"shortcut": "..."
}
],
"headlinePunctuation": [
"title_case"
],
"hyphenationRules": [
"allow_hyphenation_brand_name"
],
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"importedFromChatPersonalityId": 0,
"industryJargon": "no_jargon",
"isContradictory": true,
"language": "en",
"legacy": false,
"name": "My Brand Voice",
"numberFormat": "EN",
"ownerLegacyCustomerID": 123,
"personal": false,
"perspective": [
"first_person_singular"
],
"phoneNumberFormat": "international_e164",
"thumbnailBase64": "string",
"thumbnailUrl": "https://storage.googleapis.com/test/test.png",
"timeFormat": "24h",
"updatedAt": "2025-01-14T16:20:59Z",
"useControversialEmojis": false,
"useHeaderPunctuation": false,
"useHyphens": false,
"vocabulary": [
"ChatFlash",
"image generation"
],
"workspaceId": "27b01216-dc39-4cf4-9681-18443a6ea78e"
}
],
"page": {
"currentPage": 2,
"size": 10,
"totalElements": 35,
"totalPages": 4
}
}

Markensprache nach ID suchen

GET/v1/workspaces/{workspaceId}/brand-voices/{brandVoiceId}

Details einer Markensprache nach ID für den angegebenen Workspace abrufen.

Pfadparameter

ParameterTypErforderlichBeschreibung
workspaceIdstringJaArbeitsbereich-ID (uuid4)
brandVoiceIdstringJaMarkensprachen-ID

Antwort

FeldTypBeschreibung
_embeddedobject
brandobject
addressstring
createdAtstring
createdByUserIdstring
emailstring
facebookLinkstring
idstring
instagramLinkstring
legacybooleanWährend dieses Flag wahr ist, kann die Marke noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werden
linkedinLinkstring
namestring
ownerLegacyCustomerIdinteger
phonesarray<string>
updatedAtstring
valuesarray<string>
websitestring
permissionsobject
canDeleteboolean
canDuplicateboolean
canUpdateboolean
canViewboolean
abbreviationRulesstring
activeboolean
activeVoiceboolean
advancedRulesarray<string>
brandobject
addressstring
emailstring
facebookLinkstring
instagramLinkstring
linkedinLinkstring
namestring
phonesarray<string>
valuesarray<string>
websitestring
completenessRatinginteger
contentExamplesarray<object>
contentstring
sourcestring
urlstring
contradictionMessagestring
countrystring
createdAtstring
createdByUserIdstring
creationSourceDocumentIDstring
creationSourceTextstring
creationSourceTypestring
creationSourceURLstring
currencyFormatstring
dateFormatstring
descriptionstring
dontsstring
emojiUsagestring
genderingstring
generalToneobject
glossariesarray<object>
extendedstring
shortcutstring
headlinePunctuationarray<string>
hyphenationRulesarray<string>
idstring
importedFromChatPersonalityIdinteger
industryJargonstring
isContradictoryboolean
languagestring
legacybooleanWährend dieses Flag wahr ist, kann die Markenstimme noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werden
namestring
numberFormatstring
ownerLegacyCustomerIDinteger
personalboolean
perspectivearray<string>
phoneNumberFormatstring
thumbnailBase64stringBase64-codiertes Bild
thumbnailUrlstring
timeFormatstring
updatedAtstring
useControversialEmojisboolean
useHeaderPunctuationboolean
useHyphensboolean
vocabularyarray<string>
workspaceIdstring

Beispiel

curl "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voices/{brand_voice_id}" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Antwort:

{
"_embedded": {
"brand": {
"address": "Germany, Berlin, ...",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"instagramLink": "https://instagram.com/test",
"legacy": false,
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"ownerLegacyCustomerId": 32,
"phones": [
"+00000000",
"+11111111"
],
"updatedAt": "2025-01-14T16:20:59Z",
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"permissions": {
"canDelete": false,
"canDuplicate": false,
"canUpdate": false,
"canView": false
}
},
"abbreviationRules": "use_freely",
"active": false,
"activeVoice": false,
"advancedRules": [
"string"
],
"brand": {
"address": "Germany, Berlin, ...",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"instagramLink": "https://instagram.com/test",
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"phones": [
"+00000000",
"+11111111"
],
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"completenessRating": 80,
"contentExamples": [
{
"content": "instagram post content",
"source": "instagram",
"url": "https://instagram.com/test"
}
],
"contradictionMessage": "Some contradiction message",
"country": "us",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"creationSourceDocumentID": "string",
"creationSourceText": "very interesting text that was used to import this brand voice",
"creationSourceType": "manual",
"creationSourceURL": "https://test.com",
"currencyFormat": "number_space_symbol",
"dateFormat": "EN",
"description": "Description of Brand Voice",
"donts": "string",
"emojiUsage": "no_emojis",
"gendering": "gender_neutral",
"generalTone": {},
"glossaries": [
{
"extended": "For your information",
"shortcut": "FYI"
}
],
"headlinePunctuation": [
"title_case"
],
"hyphenationRules": [
"allow_hyphenation_brand_name"
],
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"importedFromChatPersonalityId": 0,
"industryJargon": "no_jargon",
"isContradictory": true,
"language": "en",
"legacy": false,
"name": "My Brand Voice",
"numberFormat": "EN",
"ownerLegacyCustomerID": 123,
"personal": false,
"perspective": [
"first_person_singular"
],
"phoneNumberFormat": "international_e164",
"thumbnailBase64": "string",
"thumbnailUrl": "https://storage.googleapis.com/test/test.png",
"timeFormat": "24h",
"updatedAt": "2025-01-14T16:20:59Z",
"useControversialEmojis": false,
"useHeaderPunctuation": false,
"useHyphens": false,
"vocabulary": [
"ChatFlash",
"image generation"
],
"workspaceId": "27b01216-dc39-4cf4-9681-18443a6ea78e"
}

Markensprache aktualisieren

PUT/v1/workspaces/{workspaceId}/brand-voices/{brandVoiceId}

Details einer Markensprache nach ID für den angegebenen Workspace aktualisieren.

Pfadparameter

ParameterTypErforderlichBeschreibung
workspaceIdstringJaArbeitsbereich-ID (uuid4)
brandVoiceIdstringJaMarkensprachen-ID

Anfrage-Body

FeldTypErforderlichBeschreibung
abbreviationRulesstringJa
activebooleanJa
activeVoicebooleanJa
advancedRulesarray<string>Ja
brandobjectJa
addressstringJa
emailstringJa
facebookLinkstringJa
instagramLinkstringJa
linkedinLinkstringJa
namestringJa
phonesarray<string>Ja
valuesarray<string>Ja
websitestringJa
contentExamplesarray<object>Ja
contentstringJa
sourcestringJa
urlstringJa
countrystringJa
currencyFormatstringJa
dateFormatstringJa
descriptionstringJa
dontsstringJa
emojiUsagestringJa
genderingstringJa
generalToneobjectJa
glossariesarray<object>Ja
extendedstringJa
shortcutstringJa
headlinePunctuationarray<string>Ja
hyphenationRulesarray<string>Ja
industryJargonstringJa
languagestringJa
namestringJa
numberFormatstringJa
personalbooleanJa
perspectivearray<string>Ja
phoneNumberFormatstringJa
thumbnailBase64stringJaBase64-codiertes Bild
timeFormatstringJa
useControversialEmojisbooleanJa
useHeaderPunctuationbooleanJa
useHyphensbooleanJa
vocabularyarray<string>Ja

Antwort

FeldTypBeschreibung
_embeddedobject
brandobject
addressstring
createdAtstring
createdByUserIdstring
emailstring
facebookLinkstring
idstring
instagramLinkstring
legacybooleanWährend dieses Flag wahr ist, kann die Marke noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werden
linkedinLinkstring
namestring
ownerLegacyCustomerIdinteger
phonesarray<string>
updatedAtstring
valuesarray<string>
websitestring
permissionsobject
canDeleteboolean
canDuplicateboolean
canUpdateboolean
canViewboolean
abbreviationRulesstring
activeboolean
activeVoiceboolean
advancedRulesarray<string>
brandobject
addressstring
emailstring
facebookLinkstring
instagramLinkstring
linkedinLinkstring
namestring
phonesarray<string>
valuesarray<string>
websitestring
completenessRatinginteger
contentExamplesarray<object>
contentstring
sourcestring
urlstring
contradictionMessagestring
countrystring
createdAtstring
createdByUserIdstring
creationSourceDocumentIDstring
creationSourceTextstring
creationSourceTypestring
creationSourceURLstring
currencyFormatstring
dateFormatstring
descriptionstring
dontsstring
emojiUsagestring
genderingstring
generalToneobject
glossariesarray<object>
extendedstring
shortcutstring
headlinePunctuationarray<string>
hyphenationRulesarray<string>
idstring
importedFromChatPersonalityIdinteger
industryJargonstring
isContradictoryboolean
languagestring
legacybooleanWährend dieses Flag wahr ist, kann die Markenstimme noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werden
namestring
numberFormatstring
ownerLegacyCustomerIDinteger
personalboolean
perspectivearray<string>
phoneNumberFormatstring
thumbnailBase64stringBase64-codiertes Bild
thumbnailUrlstring
timeFormatstring
updatedAtstring
useControversialEmojisboolean
useHeaderPunctuationboolean
useHyphensboolean
vocabularyarray<string>
workspaceIdstring

Beispiel

curl -X PUT "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voices/{brand_voice_id}" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"abbreviationRules": "string",
"active": false,
"activeVoice": false,
"advancedRules": [],
"brand": {},
"contentExamples": [],
"country": "string",
"currencyFormat": "string",
"dateFormat": "string",
"description": "string",
"donts": "string",
"emojiUsage": "string",
"gendering": "string",
"generalTone": {},
"glossaries": [],
"headlinePunctuation": [],
"hyphenationRules": [],
"industryJargon": "string",
"language": "string",
"name": "string",
"numberFormat": "string",
"personal": false,
"perspective": [],
"phoneNumberFormat": "string",
"thumbnailBase64": "string",
"timeFormat": "string",
"useControversialEmojis": false,
"useHeaderPunctuation": false,
"useHyphens": false,
"vocabulary": []
}'

Antwort:

{
"_embedded": {
"brand": {
"address": "Germany, Berlin, ...",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"instagramLink": "https://instagram.com/test",
"legacy": false,
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"ownerLegacyCustomerId": 32,
"phones": [
"+00000000",
"+11111111"
],
"updatedAt": "2025-01-14T16:20:59Z",
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"permissions": {
"canDelete": false,
"canDuplicate": false,
"canUpdate": false,
"canView": false
}
},
"abbreviationRules": "use_freely",
"active": false,
"activeVoice": false,
"advancedRules": [
"string"
],
"brand": {
"address": "Germany, Berlin, ...",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"instagramLink": "https://instagram.com/test",
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"phones": [
"+00000000",
"+11111111"
],
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"completenessRating": 80,
"contentExamples": [
{
"content": "instagram post content",
"source": "instagram",
"url": "https://instagram.com/test"
}
],
"contradictionMessage": "Some contradiction message",
"country": "us",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"creationSourceDocumentID": "string",
"creationSourceText": "very interesting text that was used to import this brand voice",
"creationSourceType": "manual",
"creationSourceURL": "https://test.com",
"currencyFormat": "number_space_symbol",
"dateFormat": "EN",
"description": "Description of Brand Voice",
"donts": "string",
"emojiUsage": "no_emojis",
"gendering": "gender_neutral",
"generalTone": {},
"glossaries": [
{
"extended": "For your information",
"shortcut": "FYI"
}
],
"headlinePunctuation": [
"title_case"
],
"hyphenationRules": [
"allow_hyphenation_brand_name"
],
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"importedFromChatPersonalityId": 0,
"industryJargon": "no_jargon",
"isContradictory": true,
"language": "en",
"legacy": false,
"name": "My Brand Voice",
"numberFormat": "EN",
"ownerLegacyCustomerID": 123,
"personal": false,
"perspective": [
"first_person_singular"
],
"phoneNumberFormat": "international_e164",
"thumbnailBase64": "string",
"thumbnailUrl": "https://storage.googleapis.com/test/test.png",
"timeFormat": "24h",
"updatedAt": "2025-01-14T16:20:59Z",
"useControversialEmojis": false,
"useHeaderPunctuation": false,
"useHyphens": false,
"vocabulary": [
"ChatFlash",
"image generation"
],
"workspaceId": "27b01216-dc39-4cf4-9681-18443a6ea78e"
}

Erstellt eine Verwendung einer Markensprache

PUT/v1/workspaces/{workspaceId}/brand-voices/{brandVoiceId}/usage

Erstelle eine dokumentierte Verwendung einer Markensprache, die zur Bestimmung der zuletzt verwendeten Markensprache verwendet wird.

Pfadparameter

ParameterTypErforderlichBeschreibung
workspaceIdstringJaArbeitsbereich-ID (uuid4)
brandVoiceIdstringJaBrandVoice-ID (uuid4)

Antwort

FeldTypBeschreibung
brandVoiceIdstring
createdAtstring
createdByUserIdstring
idstring
updatedAtstring
usageCountinteger
workspaceIdstring

Beispiel

curl -X PUT "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voices/{brand_voice_id}/usage" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'

Antwort:

{
"brandVoiceId": "27b01216-dc39-4cf4-9681-18443a6ea78e",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"updatedAt": "2025-01-14T16:20:59Z",
"usageCount": 100,
"workspaceId": "27b01216-dc39-4cf4-9681-18443a6ea78e"
}

Markensprache löschen

DELETE/v1/workspaces/{workspaceId}/brand-voices/{brandVoiceId}

Markensprache nach ID für den angegebenen Workspace löschen.

Pfadparameter

ParameterTypErforderlichBeschreibung
workspaceIdstringJaArbeitsbereich-ID (uuid4)
brandVoiceIdstringJaMarkensprachen-ID

Beispiel

curl -X DELETE "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voices/{brand_voice_id}" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"